import java.rmi.*;
import java.rmi.server.UnicastRemoteObject;

public class TimeServerImpl extends UnicastRemoteObject implements TimeServer{
    public String getTime(){
	System.out.println("Sending data...");
	return new java.util.Date().toString();
    }

    public TimeServerImpl() throws RemoteException{
	System.out.println("Initializing TimeServer");
    }

    public static void main(String arg[]){
	System.setSecurityManager(new RMISecurityManager());
	try{
	    TimeServerImpl TSI = new TimeServerImpl();
	    Naming.rebind("rmi://spruce.csit.fsu.edu:8088/TimeServer",TSI);
	    System.out.println("Registered with registry");
	} catch (RemoteException e){
	    System.out.println("Error: "+e);
	}catch (java.net.MalformedURLException e){
	    System.out.println("URL Error: "+e);
	}
    }
}
